"use strict";
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useComponentPipelineQuery = void 0;
const client_1 = require("@apollo/client");
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const PIPELINE_REPORT_QUERY = (0, client_1.gql) `
  query ComponentPipeline($id: String!, $extensionId: String!, $taskId: String) {
    getHost(id: $extensionId) {
      id # used for GQL caching
      get(id: $id) {
        id {
          name
          version
          scope
        }
        pipelineReport(taskId: $taskId) {
          id
          taskId
          taskName
          description
          startTime
          endTime
          errors
          warnings
          artifact {
            id
            name
            description
            files {
              id
              name
              path
              downloadUrl
            }
          }
        }
        buildStatus
      }
    }
  }
`;
function useComponentPipelineQuery(host, componentId) {
    var _a, _b, _c, _d;
    const _e = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(PIPELINE_REPORT_QUERY, {
        variables: { id: componentId, extensionId: host },
    }), { data } = _e, rest = __rest(_e, ["data"]);
    return Object.assign(Object.assign({}, rest), { data: { tasks: ((_b = (_a = data === null || data === void 0 ? void 0 : data.getHost) === null || _a === void 0 ? void 0 : _a.get) === null || _b === void 0 ? void 0 : _b.pipelineReport) || [], buildStatus: (_d = (_c = data === null || data === void 0 ? void 0 : data.getHost) === null || _c === void 0 ? void 0 : _c.get) === null || _d === void 0 ? void 0 : _d.buildStatus } });
}
exports.useComponentPipelineQuery = useComponentPipelineQuery;
//# sourceMappingURL=use-component-pipeline.js.map